package main

import (
	"log"
	"time"

	"git.netflux.io/rob/clipper/server"
)

const (
	DefaultHTTPBindAddr = "0.0.0.0:8888"

	// Needed to account for slow downloads from Youtube.
	// TODO: figure out how to optimize this.
	DefaultTimeout = 600 * time.Second
)

func main() {
	serverOptions := server.Options{
		BindAddr: DefaultHTTPBindAddr,
		Timeout:  DefaultTimeout,
	}

	log.Fatal(server.Start(serverOptions))
}
